:root {
    --ci-color: #db0812;
}

a {
    color: #db0812;
    text-decoration: none
}

    a:hover {
        color: #db0812;
    }


.mainButton {
    /*pointer-events: auto;*/
    z-index: 101;
    position: absolute;
    display: block;
    bottom: 0;
    margin-bottom: 8px;
    height: 60px;
    border-radius: 30px;
    text-decoration: none;
    outline: none;
    color: white;
    font-size: 16pt;
    left: 50%;
    right: 50%;
    transform: translateX(-50%);
    background-color: var(--ci-color, #db0812);
    border-style: none;
    min-width: min-content;
    width: 50%;
    max-width: 350px;
}

    .mainButton:active {
        background-color: #BA0B13;
    }

.navbarBottom .mainButton {
    background-color: var(--ci-color, #db0812);
    border-style: none;
    min-width: min-content;
    width: 50%;
    max-width: 350px;
    margin: 0px;
    margin-bottom: 8px;
    left: 50%;
    right: 50%;
    transform: translateX(-50%);
}

    .navbarBottom .mainButton:active {
        background-color: #BA0B13;
    }

 /*body {
   overflow: auto;
   overflow-y: auto;
   margin: 0px;
 }*/

 #jeeFaceFilterCanvas {
   z-index: 10;
   position: absolute;
   width: 100%;
   height: 100%;
   top: 0px;
   left: 0px;
 }

 /*UI*/

 html, body {
   overflow: hidden;
   overflow: hidden;
   margin: 0px;
 }

 .mainScene {
   /*Basis Div für alle UI Elemente*/
   position: absolute;
   /*pointer-events: none;*/
   display: block;
   bottom: 0;
   left: 0;
   width: 100%;
   height: calc(100% - 18px);
   font-size: 16px;
   font-family: 'Helvetica', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   
   z-index: 1000;
   visibility: hidden;

   overflow: hidden;
 }

 /*===============================================================================================*/

 /*Statisches Impressum & Datenschutz*/

 /*===============================================================================================*/

.impressum {
    position: absolute;
    top: 0;
    left: 0;
    background-color: #4e4f52;
    color: white;
    text-align: center;
    width: 100%;
    height: 18px;
    font-size: 12px;
    z-index: 10000;
    font-family: 'Helvetica', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

 .impressum a {
   color: white;
 }

 .impressum a:hover {
   color: white;
 }

 .impressum a:active {
   color: white;
 }

 /* ======================================================================== */

 /* Produkt-Header */

 /* ======================================================================== */

 .productTitle {
   /*display: flex;*/
   position: relative;
   top: 0;
   left: 0;
   right: 0;
   width: calc(100% - 16px);
   padding-left: 8px;
   padding-right: 8px;
   height: max-content;
   background-color: white;
   color: black;
   /*align-items:center;*/
   /*justify-content:center;*/
 }

 .productTitle p, .productTitle b {
   padding: 0;
   margin: 0;
 }

 .productTitle>div {
   display: block;
   width: 100%;
   padding-top: 4px;
 }

 .productName {}

 .productPrice {
   float: right;
 }

 .variationName {
   display: block;
 }

 /* ======================================================================== */

 /* Swipe Menu */

 /* ======================================================================== */

 .swipeArea {
   position: absolute;
   bottom: 0;
   left: 0;
   width: 100%;
   /*300px*/
   height: 220px;
   z-index: 100;
 }

 .menu {
   position: absolute;
   width: 100%;
   height: 200px;
   left: 0;
   bottom: 0;
   /*background-color: rgb(255, 255, 255);*/
   background-image: linear-gradient(rgba(255,255,255,0.75), rgb(255,255,255), rgb(255,255,255));
   border-top-left-radius: 20px;
   border-top-right-radius: 20px;
   opacity: 0;

   overflow: hidden;
 }

 .swipeLine {
   pointer-events: none;
   position: absolute;
   width: 80px;
   background-color: white;
   height: 6px;
   border-radius: 4px;
   left: 50%;
   right: 50%;
   transform: translateX(-50%);
   bottom: 78px;
 }

 .navbarBottom {
   pointer-events: none;
   position: absolute;
   width: 100%;
   bottom: 0;
   left: 0;
   /*background-color: lime;*/
   z-index: 105;
 }

 .navbarBottom button {
   pointer-events: auto;
   display: inline-block;
   height: 60px;
   min-width: 60px;
   border-radius: 30px;
   border-style: solid;
   border-width: 2px;
   border-color: white;
   background-color: rgba(255, 255, 255, 0);
   text-decoration: none;
   outline: none;
   color: white;
   font-size: 16pt;
   margin: 8px;
   padding: 6px;
 }

 .navbarBottom button:active {
   background-color: rgba(255, 255, 255, 0.75);
 }

 .navbarBottom button img {
   width: 40px;
   height: 40px;
 }

 .rightButton {
   float: right;
   max-width: 60px;
 }

 .leftButton {
   float: left;
   max-width: 60px;
 }

 .navbarScreenshot {
   visibility: hidden;
 }

 .navbarSettings {
   visibility: hidden;
 }

 /*
.hCenter {
    pointer-events: none;
    position: relative;
    width: max-content;
    height: fit-content;
    margin-left: auto;
    margin-right: auto;
    bottom: 0;
    
}
*/

 .whiteArea {
   position: relative;
   z-index: 100;
   width: 100%;
   height: 100%;
   background-color: white;
   opacity: 0.75;
   visibility: hidden;
 }

 .swipeAreaSettings {
   position: relative;
   z-index: 100;
   width: 100%;
   height: 100%;
   background-color: red;
   opacity: .5;
   visibility: hidden;
 }

 /* ====== NavbarTop ======== */


 .navbarTop {
  pointer-events: none;
  position: relative;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 101;
}

.watermark {
  float: right;
  margin-top: 8px;
  margin-right: 8px;
  width: 80px;
}

 /* ====== Simpler Loader ======== */

 .loaderWrapper {
   position: absolute;
   height: 220px;
   width: 220px;
   left: 50%;
   top: 50%;
   transform: translate(-50%, -50%);
 }

 .loader {
   border: 12px solid #f3f3f3;
   border-radius: 50%;
   border-top: 12px solid var(--ci-color);
   width: 196px;
   height: 196px;
   -webkit-animation: spin 2s linear infinite;
   /* Safari */
   animation: spin 2s linear infinite;
 }

 /* Safari */

 @-webkit-keyframes spin {
   0% {
     -webkit-transform: rotate(0deg);
   }
   100% {
     -webkit-transform: rotate(360deg);
   }
 }

 @keyframes spin {
   0% {
     transform: rotate(0deg);
   }
   100% {
     transform: rotate(360deg);
   }
 }

 /* ============================================================================================= */


 .menu p,.menu b {
   position: relative;
   left: 8px;
 }

 .menu .mainContent {
   position: relative;
   top: 40px;
   left: 0;
   width: 100%;
   height: calc(100% - 40px);
   
 }
 .mainContent .variationButtonContainer {
   position: relative;
   /*margin-top: 16px;*/
   width: 100%;
   /*height: calc(100% - 33px);*//*Font-Size: 17px + Marging-top: 8px*/
   height: 60px;
   
   overflow-y: hidden;
   overflow-x: auto;

   -ms-overflow-style: none;  /* IE and Edge -> Scrollbar unsichtbar*/
    scrollbar-width: none;  /* Firefox -> Scrollbar unsichtbar*/
 }

 .mainContent .variationButtonContainer::-webkit-scrollbar {
  display: none;/*Chrome, Opera, Safari -> Scrollbar unsichtbar*/
}

.mainContent .productButtonContainer {
  position: relative;
  /*margin-top: 16px;*/
  width: 100%;
  /*height: calc(100% - 33px);*//*Font-Size: 17px + Marging-top: 8px*/
  height: 60px;
  
  overflow-y: hidden;
  overflow-x: auto;

  -ms-overflow-style: none;  /* IE and Edge -> Scrollbar unsichtbar*/
   scrollbar-width: none;  /* Firefox -> Scrollbar unsichtbar*/
}

.mainContent .productButtonContainer::-webkit-scrollbar {
 display: none;/*Chrome, Opera, Safari -> Scrollbar unsichtbar*/
}



 .mainContent .buttonGroup {
    width: max-content;
    display: inline-flex;
    height: 60px;
 }

 .mainContent .variationButtonContainer .buttonGroup button {
  position: relative;
  text-decoration: none;
  color: black;
  display: inline-block;
  padding: 0;
  height: 40px;
  width: 60px;
  background-color: white;
  border-radius: 40px;
  border-style: solid;
  border-width: 4px;
  border-color: rgb(160, 160, 160);
  margin: 0px 8px 0px 8px;
  /*overflow: hidden;*/

  transform: translateY(-50%);
  top: 50%;
}

.mainContent .productButtonContainer .buttonGroup button {
  position: relative;
  text-decoration: none;
  color: black;
  display: inline-block;
  padding: 0;
  height: 40px;
  width: 100px;
  background-color: white;
  border-radius: 40px;
  border-style: solid;
  border-width: 4px;
  border-color: rgb(160, 160, 160);
  margin: 0px 8px 0px 8px;
  /*overflow: hidden;*/
  

  transform: translateY(-50%);
  top: 50%;
}

.mainContent .buttonGroup button.activeButton {
  border-style: solid;
  border-width: 4px;
  border-color: rgb(15, 15, 15);
}

/* productButtons */

.mainContent .productButtonContainer .buttonGroup button > div {
  
  mask-image: url("produktButtonMask.svg");
  -webkit-mask-image: url("produktButtonMask.svg");
  transform: translate(-50%, -50%);
  position: absolute;
  top: 50%;
  left: 50%;
  height: 100%;
  width: 100%;
}

.mainContent .productButtonContainer .buttonGroup button > div > img {
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  width: 100%;
  position: absolute;
}

/* variationButtons */

.mainContent .variationButtonContainer .buttonGroup button > div {

  mask-image: url("variationButtonMask.svg");
  -webkit-mask-image: url("variationButtonMask.svg");
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;/*250%*/
  
}

.mainContent .variationButtonContainer .buttonGroup button > div > img {
  position: relative;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 50%;
  width: 100%;
}


 /*==================================================================================*/

 /*Loader*/

 /*==================================================================================*/

 #upperContainer {
   position: absolute;
   top: 0px;
   left: 0;
   right: 0;
   height: 66.66%;
   width: 100%;
   background-color: white;
   border-bottom-style: solid;
   border-width: 8px;
   border-color: var(--ci-color);
   box-shadow: 0 16px 10px 0 rgba(0, 0, 0, 0.2), 0 32px 20px 0 rgba(0, 0, 0, 0.19);
   overflow: hidden;
   z-index: 1002;
   font-size: 16px;
   font-family: 'Helvetica', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   display: block;
   justify-content: center;
   align-items: center;
 }

 #upperContainer>.center {
   z-index: 1002;
   display: block;
   position: absolute;
   top: 50%;
   left: 50%;
   transform: translate(-50%, -50%);
 }

 /*#upperContainer h3 {
  display: block;
  width: 160px;
  text-align: center;
  color: #db0812;
}*/

 #upperContainer img {
   position: absolute;
   margin: auto;
   top: 0;
   left: 0;
   right: 0;
   bottom: 0;
   max-height: 75%;
   max-width: 75%;
 }

 #ladeanimation {
   height: 140px;
   width: 140px;
 }

 #welcomeText {
   display: block;
   position: absolute;
   /*margin-top: 400px;*/
   width: 200px;
   text-align: center;
   color: var(--ci-color);
   margin-top: 8px;
   /*margin-bottom: 0px;*/
   margin-left: auto;
   margin-right: auto;
   transform: translateX(-50%);
   left: 50%;
   top: 160px;
 }

 

@media only screen and (max-height: 644px) {
  #welcomeText {
    display: none;
    
  }
}

 .errorContainer {
   display: none;
   margin: 0;
   position: absolute;
   top: 50%;
   left: 50%;
   -ms-transform: translate(-50%, -50%);
   transform: translate(-50%, -50%);
 }

 .errorContainer button {
   display: block;
   margin-left: auto;
   margin-right: auto;
 }

 #lowerContainer {
   position: absolute;
   bottom: 0px;
   left: 0;
   right: 0;
   height: 33.33%;
   width: 100%;
   background-color: rgb(214, 214, 214);
   overflow: hidden;
   z-index: 1001;
   overflow: hidden;
   display: flex;
   justify-content: center;
   align-items: center;
 }

 #lowerContainer .center {
   z-index: 1002;
   display: block;
   position: absolute;
   top: 50%;
   left: 50%;
   transform: translate(-50%, -50%);
   width: 80%;
   text-align: center;
 }

 #lowerContainer img {
   width: 100%;
   max-width: 280px;
 }

 #lowerContainer p {
   display: block;
   margin: 0;
   margin-top: 8px;
   font-family: 'Helvetica', 'Segoe UI', Tahoma, Geneva, Verdana, Arial, sans-serif;
 }

 #lowerContainer a {
  color: black;
 }

 @keyframes moveUp {
   0% {
     top: 0;
     opacity: 1;
   }
   100% {
     top: -66.66%;
     opacity: 0;
   }
 }

 @-webkit-keyframes moveUp {
   0% {
     top: 0;
     opacity: 1;
   }
   100% {
     top: -66.66%;
     opacity: 0;
   }
 }

 @keyframes turnRocket {
   0% {
     -webkit-transform: rotate(0deg);
   }
   100% {
     -webkit-transform: rotate(-45deg);
   }
 }

 @-webkit-keyframes turnRocket {
   0% {
     -webkit-transform: rotate(0deg);
   }
   100% {
     -webkit-transform: rotate(-45deg);
   }
 }

 @keyframes moveDown {
   0% {
     bottom: 0;
     opacity: 1;
   }
   100% {
     bottom: -33.33%;
     opacity: 0;
   }
 }

 @-webkit-keyframes moveDown {
   0% {
     bottom: 0;
     opacity: 1;
   }
   100% {
     bottom: -33.33%;
     opacity: 0;
   }
 }

 @keyframes fadeToHalf {
   0% {
     background-color: rgba(214, 214, 214, 1);
   }
   10% {
     background-color: rgba(214, 214, 214, 1);
   }
   100% {
     background-color: rgba(214, 214, 214, .5);
   }
 }

 @-webkit-keyframes fadeToHalf {
   0% {
     background-color: rgba(214, 214, 214, 1);
   }
   10% {
     background-color: rgba(214, 214, 214, 1);
   }
   100% {
     background-color: rgba(214, 214, 214, .5);
   }
 }

 @keyframes fadeIn {
   0% {
     opacity: 0;
     visibility: hidden;
   }
   100% {
     opacity: 1;
     visibility: visible;
   }
 }

 @-webkit-keyframes fadeIn {
   0% {
     opacity: 0;
     visibility: hidden;
   }
   100% {
     opacity: 1;
     visibility: visible;
   }
 }

 /* DesktopHint===================================================== */

 .desktopHint {
    width: 80%;
    max-width: 450px;
    transform: translateX(-50%);
    left: 50%;
    position: relative;
 }

 .desktopHint p {
  position: relative;
  transform: translateX(-50%);
  left: 50%;
  display: block;
}

 .desktopHint svg {
   position: relative;
   width: 250px;
   height: 250px;
   transform: translateX(-50%);
   left: 50%;
   display: block;
 }

 .desktopHint a {
  text-align: center;
  position: relative;
  transform: translateX(-50%);
  left: 50%;
  display: block;
  text-decoration: underline;
  color: var(--ci-color);
  cursor: pointer;
}


 /* ScreenshotView================================================== */

 .screenshotView {
   position: absolute;
   top: 0;
   left: 0;
   z-index:103;
   width: 100%;
   height: 100%;
   visibility: hidden;
 }

 .screenshotView .bg {
   position: relative;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   background-color: white;
   opacity: .5;
 }

 .screenshotView .rotation {
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   transform: rotate(-5deg);
 }

 .polaroid {
   position: absolute;
   transform: translate(-50%, -20%);
   top: 20%;
   left: 50%;
   background-color: white;
   width: 30px;
   height: 70px;
   /*+40px*/
   box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.33), 0 6px 20px 0 rgba(0, 0, 0, 1);
 }

 .polaroid #displayCanvas {
   position: relative;
   transform: translateX(-50%);
   top: 10px;
   left: 50%;
   width: 10px;
   /*-20px*/
   height: 10px;
   /*-20px*/
 }

 /* === SettingsView ========================= */

 .settingsView {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  visibility: hidden;
  
}

.settingsPrompt {
  background-color: rgba(0, 0, 0, .5);
  height: 76px;
  width: 100%;
  position: absolute;
  bottom: 0px;
}

.settingsPrompt img {
  height: 60px;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  position: absolute;
}

/* === Scann-Hinweis ========================== */

.scannPrompt {
  pointer-events: none;
  position: absolute;
  top: 56px;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--ci-color);
  border-radius: 20px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.8), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  color:white;
  height: 40px;
  width: max-content;
  margin: 0;
  padding: 0;
  visibility: hidden;
  z-index: 1400;
}




.scannPrompt .scannLoader {
  
  border: 6px solid #f3f3f3;
  border-radius: 50%;
  border-top: 6px solid transparent;
  width: 24px;
  height: 24px;
  -webkit-animation: spin 1.2s linear infinite; /* Safari */
  animation: loaderSpin 1.2s linear infinite;
}

@keyframes loaderSpin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* Safari */
@-webkit-keyframes laderSpin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

.scannPrompt .scannLoaderWraper {
  display: inline-block;
  float: right;
  position: relative;
  transform: translateY(-50%);
  top: 50%;
  padding: 6px;
}

.scannPrompt .textBox {
  display: inline-block;
  transform: translateY(-50%);
  position: relative;
  top: 50%;
  margin: 0;
  padding: 6px;
}

/* ====== Tutorial ======== */

.tutorial {
  /*background-color: rgba(0, 0, 0, .5);*/
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 1500;
  visibility: hidden;
}

.tutorial .background {
  background-color: rgba(0, 0, 0, .5);
  width: 100%;
  height: 100%;
}

.tutorial .dialogBox {
  position: absolute;
  background-color: white;
  width: 90%;
  height: 65%;
  max-width: 400px;
  max-height: 600px;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  border-radius: 20px;

  /*backface-visibility: hidden;*/
  /*transform: translateZ(0);*/
  will-change: transform;
  
}

.tutorial .dialogBox button {
  position: absolute;
  bottom: 8px;
  transform: translateX(-50%);
  left: 50%;
  width: 90%;
  border-radius: 20px;
  background-color: var(--ci-color);
  color: white;
  text-decoration: none;
  border-style: none;
  height: 30px;
}

.tutorial .dialogBox .dialogContent {
  height: calc(100% - 38px);
  width: calc(100% - 32px);
  margin-left: auto;
  margin-right: auto;
  overflow-y: auto;
}

.manualAlert {
  background-color: rgba(0, 0, 0, .5);
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 1500;
  visibility: hidden;
}

.manualAlert .customAlert {
  position: absolute;
  background-color: white;
  width: 300px;
  height: max-content;
  max-height: 80%;
  border-radius: 12px;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  
}

.manualAlert .customAlert .customAlertContent {
  height: max-content;
  max-height: 350px;
  position: relative;
  margin: 8px 8px 0px 8px;
  width: calc(100% - 16px);
  display: block;
  overflow-y: auto;
  overflow-x: hidden;

}

.manualAlert .customAlert .customAlertButton {
  position: relative;
  top: 0px;
  display: block;
  width: 100%;
  height: max-content;
  min-height: 36px;
  
}


.manualAlert .customAlert .customAlertButton button {
  position: absolute;
  right: 8px;
  top: 50%;
  transform: translateY(-50%);
  background-color: transparent;
  border-style: none;
  border-width: 0px;
  padding: 0px;
  margin: 0px;
  color: rgb(0, 132, 255);
  font-size: 16px;
  height: 100%;
}